> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vlm.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Feedback

> Submit feedback for a request, execution, or chat by its ID.

Submit feedback for a prediction to help improve model performance through fine-tuning.

<RequestExample>
  ```python Python theme={"theme":{"light":"github-light","dark":"dark-plus"}}
  from vlmrun.client import VLMRun

  client = VLMRun(api_key="<VLMRUN_API_KEY>")
  response = client.feedback.submit(
      request_id="<request_id>",
      response={"name": "John Doe", "date_of_birth": "1955-01-01", "email": "john@doe.com"},
      notes="Excellent prediction quality"
  )
  ```

  ```typescript Node.js SDK theme={"theme":{"light":"github-light","dark":"dark-plus"}}
  import { VlmRun } from "vlmrun";

  const client = new VlmRun({apiKey: "<VLMRUN_API_KEY>"});
  const response = await client.feedback.submit({
      requestId: "<request_id>",
      response: {"name": "John Doe", "date_of_birth": "1955-01-01", "email": "john@doe.com"},
      notes: "Excellent prediction quality"
  });
  console.log(response);
  ```
</RequestExample>


## OpenAPI

````yaml POST /v1/feedback/submit
openapi: 3.1.0
info:
  title: VLM Run Unified Server
  description: Unified server for VLM Run Agent and API
  termsOfService: https://vlm.run/terms-of-service
  contact:
    name: VLM Run Support Team
    url: https://vlm.run/
    email: support@vlm.run
  version: 2026-05-19.0
servers: []
security: []
paths:
  /v1/feedback/submit:
    post:
      tags:
        - feedback
      summary: Submit Feedback
      description: Submit feedback for a request, execution, or chat by its ID.
      operationId: submit_feedback_v1_feedback_submit_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FeedbackSubmitRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeedbackSubmitResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    FeedbackSubmitRequest:
      properties:
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
          description: The unique identifier for the request.
        agent_execution_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Execution Id
          description: The unique identifier for the agent execution.
        chat_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Chat Id
          description: The unique identifier for the chat.
        response:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Response
          description: The updated response for the entity.
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
          description: The notes for the feedback.
      type: object
      title: FeedbackSubmitRequest
      description: Request model for submitting feedback.
    FeedbackSubmitResponse:
      properties:
        id:
          type: string
          title: Id
          description: The unique identifier for the feedback.
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
          description: The unique identifier for the request.
        agent_execution_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Execution Id
          description: The unique identifier for the agent execution.
        chat_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Chat Id
          description: The unique identifier for the chat.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Date and time when the feedback was submitted (in UTC timezone)
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
          description: The notes for the feedback.
      type: object
      required:
        - id
        - created_at
      title: FeedbackSubmitResponse
      description: Response model for feedback operations.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````